Page MenuHomePhabricator

Consider restoring Clowncopterize
Closed, WontfixPublic

Tokens
"The World Burns" token, awarded by techdragon."Dislike" token, awarded by oysterFAKE."Mountain of Wealth" token, awarded by richardvanvelzen."Love" token, awarded by roman_yarovoy."Love" token, awarded by mholden."Evil Spooky Haunted Tree" token, awarded by sophiebits."Pterodactyl" token, awarded by krisbuist."The World Burns" token, awarded by tycho.tatitscheff."Pterodactyl" token, awarded by joshuaspence."Evil Spooky Haunted Tree" token, awarded by rodbegbie."Like" token, awarded by maxhodak."Love" token, awarded by jsotuyod."Like" token, awarded by champo."Pterodactyl" token, awarded by majak."Like" token, awarded by shaun."Manufacturing Defect?" token, awarded by avivey."Like" token, awarded by hsb."Love" token, awarded by linuxfood."Like" token, awarded by nevogd."Love" token, awarded by aripringle."Like" token, awarded by jaydiablo."Like" token, awarded by frans.kasper."The World Burns" token, awarded by fanis."Like" token, awarded by johnny-bit."Like" token, awarded by chad."Like" token, awarded by cburroughs.
Assigned To
Authored By
chad, Dec 16 2015

Description

It's unclear to me why we're inconsistent with quality submit button names in Paste and Maniphest, but not Differential. Please consider bringing back Clowncopterize.

Event Timeline

chad created this task.Dec 16 2015, 3:03 PM
chad raised the priority of this task from to Needs Triage.
chad updated the task description. (Show Details)
chad changed the edit policy from "All Users" to "Community (Project)".
chad added a subscriber: chad.
chad awarded a token.Dec 16 2015, 3:10 PM
fanis awarded a token.Dec 16 2015, 3:59 PM
hsb awarded a token.Dec 16 2015, 4:31 PM
shaun awarded a token.Dec 16 2015, 4:51 PM

Not sure if trolling...

Is it an happy 10 thousands tasks party ?

I miss the Clowncopterize button too, but wouldn't something like "Nitpick" be more in line with the Differential?

-Debbie Downer

ox added a subscriber: ox.Dec 17 2015, 9:45 PM

The "Clowncopterize" button was a huge roadblock to adopting code reviews in Differential in our organization. The engineers refused to press it, opting instead of just email each other in the email Phabricator sent out when the Diff was created. Everyone was confused about what it did, and were too conservative to take the risk. We had to hire a PHP outsourcing company in Indiana to patch our deploy so the button instead displayed "Comment".

"Nitpick" sounds like something we could all get behind, though.

chad added a comment.Dec 17 2015, 9:58 PM

"Submit" was always available in serious business mode, though.

Why do people are sad? I for one love to click "Set Sail for Adventure" instead of plain boriiiiiing submit. Quality button names are important for fun and profit ™️

epriestley added a subscriber: epriestley.EditedDec 18 2015, 11:28 AM

From a purely personal/selfish perspective, the support workload the funny buttons generate seems disproportionately high to how funny/interesting they actually are.

Some users seem to find button text to be a big usability sticking point. T9908 has a case of a user finding "Add Comment" to be unclear because sometimes it doesn't technically add a comment if you haven't typed one. This case is fresh in my memory, but I think we've received similar feedback in the past (e.g., concerns that some serious button text was not clear enough, because it did not literally describe the entire action in some circumstances). I recall that lots of people found "Scuttle Task" very unclear a long time ago, and I recall that "Clowncopterize" generated fairly consistent complaints as well.

The most contentious serious button of all is "Done" on inline comments, discussed in T3669. The text currently says "Save Draft", but previously said "Ready", which was already a language fix from D1796 when it said "Submit". T3669 also advanced various theories of the button color being wrong.

I'm not sure why button text is such a hot button issue (ha ha ha ha ha ha HA HA HA). I don't personally find it meaningfully distinguishable from other UI text, and T8879 has a case in the opposite direction -- a button labeled Disable "X" being too easy to read as Disable "Y" -- suggesting that button text isn't always prevalent in users' minds. Maybe some users really have a big issue with it, maybe it's just really easy to complain about (I think it is sort of perfectly positioned to invite bikeshedding?), maybe a mixture of both.

Historically, at Facebook, I increased engagement with a little-used feature dramatically by adding a picture of a panda to the button.

Broadly, I think the amount of feedback we receive about button text (whether the problematic button has serious text or not) is just way out of line with the amount of feedback we receive about most other things. If we pushed a patch that misspelled "Phabricator" in the logo, misspelled "Submit" on a button, and totally broke arc diff, I think there's a good chance we'd hear about the button text being wrong first.

In contrast, I can't offhand recall anyone ever complaining that the header text says "Weigh In" instead of "Add Comments". I'd guess we have more feedback about button text than any other single piece of flavor. I suspect we have more feedback about entirely serious button text than any individual piece of flavor other than silly button text.

That said, I think we've gotten better at dealing with this kind of feedback than we were at the time of D8812 (partly, we've refined the feedback process overall), and I wrote User Guide: Project Tone at some point, and future work in onboarding could point users at this option explicitly. I could perhaps imagine giving the marketing site a toggle some day to introduce the idea earlier (giving users an "Enable Corpo-Vision®" button on the marketing site could prime them to look for a similar option once they reach the product, and also be funny on its own). We have more plans to refine the feedback process in the future. Generally, there are some steps we've taken to reduce support costs here, and more steps we plan to take or could consider in the future which are likely to further reduce it.

In my mind, one other reasonable argument against silly button text is that it probably drives some installs to enable "Serious Business" mode when they'd be fine with all the other silly features, like the dragon ASCII art when we block commits and the "Spite" task status. If you're a new administrator and someone complains that they hate or can't figure out "Clowncopterize", I think it's harder to push back than if they complain about dragon ASCII art or a silly "forgot password" email. And, practically, users don't (generally) complain about that stuff, but do complain about "Clowncopterize".

Finally, at least personally, I don't find the silly buttons to be particularly funny or interesting. It's not like we're giving up a really good joke here -- it's more of just a weird non-sequiter, albeit one steeped in rich history. If this was hilarious it would be an easy call for me to keep the buttons, but the joke isn't really even a joke.

Despite all that, I don't feel particularly strongly about this (and Maniphest says "Set Sail for Adventure" now, so the cat is back out of the bag anyway). I'm fine with accepting a diff to restore it, or I can put it back myself when Differential switches to EditEngine. I just think it's a borderline feature, and there's a plausible argument that the high-visibility/contentiousness of it and the low actual funniness mean it shouldn't make the cut.

(There are also various things we could do to split "serious business" mode apart into multiple flags, but I think this is the only feature which makes it contentious and I'd rather not add an option which is essentially covering the label text of one button, per T8227.)

My 2¢: "Set Sail for Adventure" made me check if I hadn't somehow switched to the pirate translation. Silly UI is ok with me but maybe less nautical, to not steal the pirate translation's thunder when it's turned on a few times a year?

chad added a comment.Jan 20 2016, 6:23 PM

Many of the concepts in Phabricator are Nautical by Nature. Maniphest, Harbormaster, Drydock, etc. It's not much a pirate thing, and oddly is not related to me previously being enlisted in the Navy (since @epriestley picks the names).

@chad Come to think of it, of course, you're right. This one just stood out, somehow, maybe because it's so much more visible. Maybe it's because everywhere else they are nouns but here it's a verb which is kind of unusual?

chad added a comment.Jan 20 2016, 6:32 PM

You can always turn them off with phabricator.serious-business. :)

Nah, it's fun seeing software have some personality. I guess that what I wanted to say was that this one stands out noticeably against all of the "Save," "Cancel," "Execute Query," and other buttons, not that it's a bad thing.

I'll chime in with my 2c as well, the new "Set Sail For Adventure" button in Maniphest was also a bit confusing to me and another member of my team, and we're usually fans of the flavor and have pushed to keep it instead of switching over to serious_business.

This may be compounded by the recent change to "Actions:" for commenting.

Another 2c for the piggy bank. As someone that quite likes the majority of the 'non-serious mode' text, "clowncopterize" feels just a step too far. I can explain weird names to new people, I can link them to a guide, but "clowncopterize" still gives most people, including myself despite using and even advocating the use of Phabricator to others for some time, too much pause for thought. Its not the content as much as it is the jarring level of 'non-sequitur' it may as well say "By this time, my lungs were aching for air" for all it relates to the action that it performs. If it has to come back, at least give me some way to turn it off without throwing away all the other stuff by turning on serious business mode.

spawnlt added a subscriber: spawnlt.Feb 3 2016, 7:35 PM

....
In contrast, I can't offhand recall anyone ever complaining that the header text says "Weigh In" instead of "Add Comments".

When I first launched Phabricator in my organization and started to lure colleagues to use it, one of the most casual question I was asked was about all these strange button names :) or what is "Spite" for..?

... I could perhaps imagine giving the marketing site a toggle some day to introduce the idea earlier (giving users an "Enable Corpo-Vision®"

I also think some people throughout organizations that use Phabricator might really like this kind of vision :)

Such a setting already exists: Configphabricator.serious-business

Yes @epriestley, but it is a global setting and when you mentioned this Corpo-Vision® thing I though of it as a user setting, because all of us see the world differently.

chad added a comment.Feb 3 2016, 8:32 PM

I imagine it will move to translations at some point, like Doge and Pirate.

It can't currently move to translations or be per-user because it has global effects, notably the availability of "silly" statuses in Maniphest. We can't show different users different sets of available task statuses.

Really thanks for you thoughts, It has no impact for me at the moment, but you know it was my 2 cents and I think you might want this kind of "feature" in future when serious and fun businesses collide somewhere in between :)

chr86 added a subscriber: chr86.Feb 4 2016, 12:35 PM
epriestley closed this task as Wontfix.Dec 13 2016, 4:25 PM
epriestley claimed this task.

This hasn't moved forward in a year so I'm just going to close it. We've removed header text in the latest UI iteration, too, and I imagine the button will be replaced completely with universal send-on-enter before long.